<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>bin\Debug\net5.0\Infrastructure.xml</DocumentationFile>
    <NoWarn>1701;1702;1591;1573;1572;1570</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="12.0.1" />
    <PackageReference Include="DocXCore.Standard" Version="1.0.1" />
    <PackageReference Include="EnyimMemcachedCore" Version="2.6.4" />
    <PackageReference Include="ExifLib" Version="1.7.0" />
    <PackageReference Include="log4net" Version="2.0.15" />
    <PackageReference Include="MetadataExtractor" Version="2.8.1" />
    <PackageReference Include="Microsoft.Extensions.Caching.Memory" Version="6.0.1" />
    <PackageReference Include="Microsoft.Extensions.Hosting" Version="6.0.1" />
    <PackageReference Include="Minio" Version="6.0.4" />
    <PackageReference Include="MQTTnet" Version="4.1.4.563" />
    <PackageReference Include="NetTopologySuite" Version="2.5.0" />
    <PackageReference Include="NetTopologySuite.IO.Esri.Shapefile" Version="1.0.0" />
    <PackageReference Include="NetTopologySuite.IO.ShapeFile" Version="2.1.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.2" />
    <PackageReference Include="NPOI" Version="2.5.6" />
    <PackageReference Include="NUnit" Version="3.13.1" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.5.0" />
    <PackageReference Include="NUnit3TestAdapter" Version="3.17.0" />
    <PackageReference Include="PinYinConverterCore" Version="1.0.2" />
    <PackageReference Include="Quartz" Version="3.6.2" />
    <PackageReference Include="Quartz.Extensions.DependencyInjection" Version="3.6.2" />
    <PackageReference Include="SixLabors.ImageSharp" Version="3.0.1" />
    <PackageReference Include="StackExchange.Redis" Version="2.6.111" />
    <PackageReference Include="System.Data.SQLite" Version="1.0.119" />
  </ItemGroup>

  <ItemGroup>
    <None Update="log4net.config">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
